<?php

namespace RUMCWV;

if (!defined('ABSPATH')) {
    die('Let\'s not do this');
}
?>
<div id="vwc_toast">
    <div><b id="toasttitle"></b></div>
    <div id="toasttext"></div>
</div>
<div class="wrap" id="rum_cwv_admin_main">
    <div class="cwv-grid">
        <div class="cwv-grid-menu">
            <div class="cwv-logo"> <img width="140" height="30" src="<?php echo RUM_CWV_PLUGIN_DIR; ?>/admin/img/cwv_logo_plugin.png"></div>
            <ul class="cwv-tab-bar">
                <li data-tab="#tabs-dashboard" class="active">
                    <svg class="icon">
                        <use xlink:href="#icon-rum"></use>
                    </svg>
                    <div class="ti">PageSpeed Monitoring</div>
                    <div class="he">Core Web Vitals tracking</div>
                </li>
                <li data-tab="#tab-rum">
                    <svg class="icon">
                        <use xlink:href="#icon-wrench"></use>
                    </svg>
                    <div class="ti">Settings</div>
                    <div class="he">Set up RUM tracking</div>
                </li>

            </ul>
        </div>
        <form class="cwv-grid-main" method="post" action="options.php" id="criticaloptions" enctype="multipart/form-data">

            <input type="hidden" name="cwv_nonce" value="<?php echo wp_create_nonce('cwv_nonce'); ?>" />        
            <?php include(RUM_CWV_PLUGIN_PATH . 'admin/html/parts/dashboard.php'); ?>
            <?php include(RUM_CWV_PLUGIN_PATH . 'admin/html/parts/settings.php'); ?>
          
            <?php submit_button(); ?>
        </form>
        <aside class="cwv-grid-aside">

          

            <div class="cwvbox">
                <h2>Get better RUM tracking</h2>
                <p>Get better, faster RUM tracking that scales and will explain exactly what to do to speed up your site.</p>
                <ul>
                    <li><a href="https://www.coredash.app" target="_blank">Core/Dash RUM Tracking</a></li>
                </ul>



            </div>

            <div class="cwvbox">
                <h2>Core Web Vitals</h2>
                <p>Knowledge is power! Understand the Core Web Vitals and why they matter to your site.</p>
                <a href="https://www.corewebvitals.io/core-web-vitals" target="_blank" class="button">Learn more</a>
            </div>

            <div class="cwvbox blue">
                <h2>Get help</h2>
                <p>Want to get the most out of your site?</p>
                <a href="https://www.corewebvitals.io" target="_blank" class="button">Hire me</a>
            </div>

        </aside>
    </div>
</div>
<svg aria-hidden="true" style="position: absolute; width: 0; height: 0; overflow: hidden;" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
    <defs>
        <symbol id="icon-dashboard" viewBox="0 0 32 32">
            <path d="M32 18.451l-16-12.42-16 12.42v-5.064l16-12.42 16 12.42zM28 18v12h-8v-8h-8v8h-8v-12l12-9z"></path>
        </symbol>
      
        <symbol id="icon-options" viewBox="0 0 32 32">
            <path d="M27 0h-24c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h24c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM26 28h-22v-24h22v24zM8 18h14v2h-14zM8 22h14v2h-14zM10 9c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM15 12h-4c-1.65 0-3 0.9-3 2v2h10v-2c0-1.1-1.35-2-3-2z"></path>
        </symbol>
        <symbol id="icon-mmisc" viewBox="0 0 32 32">
            <path d="M8 6l-4-4h-2v2l4 4zM10 0h2v4h-2zM18 10h4v2h-4zM20 4v-2h-2l-4 4 2 2zM0 10h4v2h-4zM10 18h2v4h-2zM2 18v2h2l4-4-2-2zM31.563 27.563l-19.879-19.879c-0.583-0.583-1.538-0.583-2.121 0l-1.879 1.879c-0.583 0.583-0.583 1.538 0 2.121l19.879 19.879c0.583 0.583 1.538 0.583 2.121 0l1.879-1.879c0.583-0.583 0.583-1.538 0-2.121zM15 17l-6-6 2-2 6 6-2 2z"></path>
        </symbol>
        <symbol id="icon-earth" viewBox="0 0 32 32">
            <path d="M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 30c-1.967 0-3.84-0.407-5.538-1.139l7.286-8.197c0.163-0.183 0.253-0.419 0.253-0.664v-3c0-0.552-0.448-1-1-1-3.531 0-7.256-3.671-7.293-3.707-0.188-0.188-0.442-0.293-0.707-0.293h-4c-0.552 0-1 0.448-1 1v6c0 0.379 0.214 0.725 0.553 0.894l3.447 1.724v5.871c-3.627-2.53-6-6.732-6-11.489 0-2.147 0.484-4.181 1.348-6h3.652c0.265 0 0.52-0.105 0.707-0.293l4-4c0.188-0.188 0.293-0.442 0.293-0.707v-2.419c1.268-0.377 2.61-0.581 4-0.581 2.2 0 4.281 0.508 6.134 1.412-0.13 0.109-0.256 0.224-0.376 0.345-1.133 1.133-1.757 2.64-1.757 4.243s0.624 3.109 1.757 4.243c1.139 1.139 2.663 1.758 4.239 1.758 0.099 0 0.198-0.002 0.297-0.007 0.432 1.619 1.211 5.833-0.263 11.635-0.014 0.055-0.022 0.109-0.026 0.163-2.541 2.596-6.084 4.208-10.004 4.208z"></path>
        </symbol>
        <symbol id="icon-scripts" viewBox="0 0 40 32">
            <path d="M26 23l3 3 10-10-10-10-3 3 7 7z"></path>
            <path d="M14 9l-3-3-10 10 10 10 3-3-7-7z"></path>
            <path d="M21.916 4.704l2.171 0.592-6 22.001-2.171-0.592 6-22.001z"></path>
        </symbol>
      
        <symbol id="icon-rum" viewBox="0 0 32 32">
            <path d="M9 12h-6c-0.55 0-1 0.45-1 1v18c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-18c0-0.55-0.45-1-1-1zM9 30h-6v-8h6v8zM19 8h-6c-0.55 0-1 0.45-1 1v22c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-22c0-0.55-0.45-1-1-1zM19 30h-6v-10h6v10zM29 4h-6c-0.55 0-1 0.45-1 1v26c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-26c0-0.55-0.45-1-1-1zM29 30h-6v-12h6v12z"></path>
        </symbol>
        <symbol id="icon-pro" viewBox="0 0 32 32">
            <path d="M30 0l-14 4-14-4c0 0-0.141 1.616 0 4l14 4.378 14-4.378c0.141-2.384 0-4 0-4zM2.256 6.097c0.75 7.834 3.547 21.007 13.744 25.903 10.197-4.896 12.995-18.069 13.744-25.903l-13.744 5.167-13.744-5.167z"></path>
        </symbol>
        <symbol id="icon-refresh" viewBox="0 0 32 32">
            <path d="M27.802 5.197c-2.925-3.194-7.13-5.197-11.803-5.197-8.837 0-16 7.163-16 16h3c0-7.18 5.82-13 13-13 3.844 0 7.298 1.669 9.678 4.322l-4.678 4.678h11v-11l-4.198 4.197z"></path>
            <path d="M29 16c0 7.18-5.82 13-13 13-3.844 0-7.298-1.669-9.678-4.322l4.678-4.678h-11v11l4.197-4.197c2.925 3.194 7.13 5.197 11.803 5.197 8.837 0 16-7.163 16-16h-3z"></path>
        </symbol>
        <symbol id="icon-expert" viewBox="0 0 32 32">
            <path d="M30 0l-14 4-14-4c0 0-0.141 1.616 0 4l14 4.378 14-4.378c0.141-2.384 0-4 0-4zM2.256 6.097c0.75 7.834 3.547 21.007 13.744 25.903 10.197-4.896 12.995-18.069 13.744-25.903l-13.744 5.167-13.744-5.167z"></path>
        </symbol>

        <symbol id="icon-question" viewBox="0 0 20 20">
            <path d="M10 20c-5.523 0-10-4.477-10-10s4.477-10 10-10v0c5.523 0 10 4.477 10 10s-4.477 10-10 10v0zM12 7c0 0.28-0.21 0.8-0.42 1l-1.58 1.58c-0.57 0.58-1 1.6-1 2.42v1h2v-1c0-0.29 0.21-0.8 0.42-1l1.58-1.58c0.57-0.58 1-1.6 1-2.42 0-2.209-1.791-4-4-4s-4 1.791-4 4v0h2c0-1.105 0.895-2 2-2s2 0.895 2 2v0zM9 15v2h2v-2h-2z"></path>
        </symbol>
        <symbol id="icon-wrench" viewBox="0 0 32 32">
            <path d="M31.342 25.559l-14.392-12.336c0.67-1.259 1.051-2.696 1.051-4.222 0-4.971-4.029-9-9-9-0.909 0-1.787 0.135-2.614 0.386l5.2 5.2c0.778 0.778 0.778 2.051 0 2.828l-3.172 3.172c-0.778 0.778-2.051 0.778-2.828 0l-5.2-5.2c-0.251 0.827-0.386 1.705-0.386 2.614 0 4.971 4.029 9 9 9 1.526 0 2.963-0.38 4.222-1.051l12.336 14.392c0.716 0.835 1.938 0.882 2.716 0.104l3.172-3.172c0.778-0.778 0.731-2-0.104-2.716z"></path>
        </symbol>
        <symbol id="icon-beta" viewBox="0 0 32 32">
            <path d="M29.884 25.14l-9.884-16.47v-6.671h1c0.55 0 1-0.45 1-1s-0.45-1-1-1h-10c-0.55 0-1 0.45-1 1s0.45 1 1 1h1v6.671l-9.884 16.47c-2.264 3.773-0.516 6.86 3.884 6.86h20c4.4 0 6.148-3.087 3.884-6.86zM7.532 20l6.468-10.779v-7.221h4v7.221l6.468 10.779h-16.935z"></path>
        </symbol>
        <symbol id="icon-cache" viewBox="0 0 32 32">
            <path d="M16 0c-8.837 0-16 2.239-16 5v4c0 2.761 7.163 5 16 5s16-2.239 16-5v-4c0-2.761-7.163-5-16-5z"></path>
            <path d="M16 17c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
            <path d="M16 26c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
        </symbol>
        <symbol id="icon-resourcehint" viewBox="0 0 32 32">
            <path d="M22.142 14.686l-3.5 3.5 4.985 4.985-2.828 2.829-4.985-4.985-4.986 4.985-2.828-2.828 4.985-4.985-3.5-3.5-2.828 2.828-5.657-5.657 5.657-5.657 9.157 9.157 9.157-9.157 5.657 5.657-5.657 5.657-2.829-2.829z"></path>
        </symbol>
        <symbol id="icon-advisor" viewBox="0 0 36 28">
<path d="M27.719 13.062l0.281 4.937c0.125 2.203-4.484 4-10 4s-10.125-1.797-10-4l0.281-4.937 8.969 2.828c0.25 0.078 0.5 0.109 0.75 0.109s0.5-0.031 0.75-0.109zM36 8c0 0.219-0.141 0.406-0.344 0.484l-17.5 5.5c-0.063 0.016-0.109 0.016-0.156 0.016s-0.094 0-0.156-0.016l-10.187-3.219c-0.891 0.703-1.516 2.422-1.641 4.531 0.594 0.344 0.984 0.969 0.984 1.703 0 0.703-0.359 1.313-0.906 1.672l0.906 6.766c0.016 0.141-0.031 0.281-0.125 0.391s-0.234 0.172-0.375 0.172h-3c-0.141 0-0.281-0.063-0.375-0.172s-0.141-0.25-0.125-0.391l0.906-6.766c-0.547-0.359-0.906-0.969-0.906-1.672 0-0.75 0.422-1.391 1.016-1.734 0.094-1.828 0.562-3.797 1.531-5.156l-5.203-1.625c-0.203-0.078-0.344-0.266-0.344-0.484s0.141-0.406 0.344-0.484l17.5-5.5c0.063-0.016 0.109-0.016 0.156-0.016s0.094 0 0.156 0.016l17.5 5.5c0.203 0.078 0.344 0.266 0.344 0.484z"></path>
</symbol>
    </defs>
</svg>